For the complete documentation index, see llms.txt. This page is also available as Markdown.

Start

To start transcription for a room which has a live session, you need to execute a POST request against the /rooms/:id/transcription/start endpoint. Transcripts are saved and can later be exported through the API or dashboard.

Transcription can also be started manually by a moderator inside the live session. Here we describe how to start the transcription through the REST API, so you can control start / stop transcription externally as an integrator. You can also configure transcription to auto-start for rooms by setting the room property transcription_auto_start_enabled to true.

Request

curl --request POST \
  --url https://api.digitalsamba.com/api/v1/rooms/c39d7c40-7ff7-4faa-b06f-698a639a9523/transcription/start \
  --user YOUR_TEAM_ID:YOUR_DEVELOPER_KEY
import com.fasterxml.jackson.databind.ObjectMapper;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.util.Base64;
import java.util.Map;

String TEAM_ID = "YOUR_TEAM_ID";
String DEVELOPER_KEY = "YOUR_DEVELOPER_KEY";
String authorizationHeader = "Bearer " + Base64.getEncoder().encodeToString((TEAM_ID + ":" + DEVELOPER_KEY).getBytes());
//Put your room id or friendly_url (name) here - this value is just an example
String roomId = "c39d7c40-7ff7-4faa-b06f-698a639a9523";

HttpRequest request = HttpRequest.newBuilder()
  .POST(BodyPublishers.noBody())
  .uri(new URI("https://api.digitalsamba.com/api/v1/rooms/" + roomId + "/transcription/start"))
  .header("Authorization", authorizationHeader)
  .build();

HttpClient client = HttpClient.newHttpClient();
HttpResponse<String> response = client.send(request, BodyHandlers.ofString());

System.out.println("Status code: " + response.statusCode());
System.out.println("Body: " + response.body());

Response (200 OK) -> No Content

If no session is active for the room you will receive a generic 400 Bad Request response.

{
    "message": "Can not start transcription, this room is not active."
}

Last updated